Loading...
Searching...
No Matches
AVBSFContext Struct Reference
libavcodec » Bitstream filters

The bitstream filter state. More...

`#include <libavcodec/bsf.h>`

## Data Fields

const AVClass * | av_class
| A class for logging and AVOptions.
const struct AVBitStreamFilter * | filter
| The bitstream filter this context is an instance of.
void * | priv_data
| Opaque filter-specific private data.
AVCodecParameters * | par_in
| Parameters of the input stream.
AVCodecParameters * | par_out
| Parameters of the output stream.
AVRational | time_base_in
| The timebase used for the timestamps of the input packets.
AVRational | time_base_out
| The timebase used for the timestamps of the output packets.

## Detailed Description

The bitstream filter state.

This struct must be allocated with av_bsf_alloc() and freed with av_bsf_free().

The fields in the struct will only be changed (by the caller or by the filter) as described in their documentation, and are to be considered immutable otherwise.

Definition at line 68 of file bsf.h.

## Field Documentation

## av_class

const AVClass* AVBSFContext::av_class

A class for logging and AVOptions.

Definition at line 72 of file bsf.h.

## filter

const struct AVBitStreamFilter* AVBSFContext::filter

The bitstream filter this context is an instance of.

Definition at line 77 of file bsf.h.

## priv_data

void* AVBSFContext::priv_data

Opaque filter-specific private data.

If filter->priv_class is non-NULL, this is an AVOptions-enabled struct.

Definition at line 83 of file bsf.h.

## par_in

AVCodecParameters* AVBSFContext::par_in

Parameters of the input stream.

This field is allocated in av_bsf_alloc(), it needs to be filled by the caller before av_bsf_init().

Definition at line 90 of file bsf.h.

## par_out

AVCodecParameters* AVBSFContext::par_out

Parameters of the output stream.

This field is allocated in av_bsf_alloc(), it is set by the filter in av_bsf_init().

Definition at line 96 of file bsf.h.

## time_base_in

AVRational AVBSFContext::time_base_in

The timebase used for the timestamps of the input packets.

Set by the caller before av_bsf_init().

Definition at line 102 of file bsf.h.

## time_base_out

AVRational AVBSFContext::time_base_out

The timebase used for the timestamps of the output packets.

Set by the filter in av_bsf_init().

Definition at line 108 of file bsf.h.

The documentation for this struct was generated from the following file:

- libavcodec/bsf.h